"{ Package: 'stx:goodies/libcairo' }"

"{ NameSpace: Cairo }"

SharedPool subclass:#Filter
	instanceVariableNames:''
	classVariableNames:'FILTER_FAST FILTER_GOOD FILTER_BEST FILTER_NEAREST
		FILTER_BILINEAR FILTER_GAUSSIAN'
	poolDictionaries:''
	category:'Cairo-Constants'
!


!Filter class methodsFor:'initialization'!

initialize

	FILTER_FAST := 0.
	FILTER_GOOD := 1.
	FILTER_BEST := 2.
	FILTER_NEAREST := 3.
	FILTER_BILINEAR := 4.
	FILTER_GAUSSIAN := 5.

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Filter class methodsFor:'constants'!

FILTER_BEST

	^FILTER_BEST

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

FILTER_BILINEAR

	^FILTER_BILINEAR

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

FILTER_FAST

	^FILTER_FAST

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

FILTER_GAUSSIAN

	^FILTER_GAUSSIAN

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

FILTER_GOOD

	^FILTER_GOOD

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

FILTER_NEAREST

	^FILTER_NEAREST

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Filter class methodsFor:'documentation'!

version
    ^'$Id$'
!

version_HG
    ^ '$Changeset: <not expanded> $'
! !

Filter initialize!
