"{ Package: 'stx:goodies/libcairo' }"

"{ NameSpace: Cairo }"

SharedPool subclass:#SurfaceType
	instanceVariableNames:''
	classVariableNames:'SURFACE_TYPE_IMAGE SURFACE_TYPE_PDF SURFACE_TYPE_PS
		SURFACE_TYPE_XLIB SURFACE_TYPE_XCB SURFACE_TYPE_GLITZ
		SURFACE_TYPE_QUARTZ SURFACE_TYPE_WIN32 SURFACE_TYPE_BEOS
		SURFACE_TYPE_DIRECTFB SURFACE_TYPE_SVG SURFACE_TYPE_OS2
		SURFACE_TYPE_WIN32_PRINTING SURFACE_TYPE_QUARTZ_IMAGE'
	poolDictionaries:''
	category:'Cairo-Constants'
!


!SurfaceType class methodsFor:'initialization'!

initialize

	SURFACE_TYPE_IMAGE := 0.
	SURFACE_TYPE_PDF := 1.
	SURFACE_TYPE_PS := 2.
	SURFACE_TYPE_XLIB := 3.
	SURFACE_TYPE_XCB := 4.
	SURFACE_TYPE_GLITZ := 5.
	SURFACE_TYPE_QUARTZ := 6.
	SURFACE_TYPE_WIN32 := 7.
	SURFACE_TYPE_BEOS := 8.
	SURFACE_TYPE_DIRECTFB := 9.
	SURFACE_TYPE_SVG := 10.
	SURFACE_TYPE_OS2 := 11.
	SURFACE_TYPE_WIN32_PRINTING := 12.
	SURFACE_TYPE_QUARTZ_IMAGE := 13.

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!SurfaceType class methodsFor:'constants'!

SURFACE_TYPE_BEOS

	^SURFACE_TYPE_BEOS

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SURFACE_TYPE_DIRECTFB

	^SURFACE_TYPE_DIRECTFB

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SURFACE_TYPE_GLITZ

	^SURFACE_TYPE_GLITZ

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SURFACE_TYPE_IMAGE

	^SURFACE_TYPE_IMAGE

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SURFACE_TYPE_OS2

	^SURFACE_TYPE_OS2

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SURFACE_TYPE_PDF

	^SURFACE_TYPE_PDF

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SURFACE_TYPE_PS

	^SURFACE_TYPE_PS

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SURFACE_TYPE_QUARTZ

	^SURFACE_TYPE_QUARTZ

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SURFACE_TYPE_QUARTZ_IMAGE

	^SURFACE_TYPE_QUARTZ_IMAGE

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SURFACE_TYPE_SVG

	^SURFACE_TYPE_SVG

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SURFACE_TYPE_WIN32

	^SURFACE_TYPE_WIN32

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SURFACE_TYPE_WIN32_PRINTING

	^SURFACE_TYPE_WIN32_PRINTING

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SURFACE_TYPE_XCB

	^SURFACE_TYPE_XCB

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SURFACE_TYPE_XLIB

	^SURFACE_TYPE_XLIB

    "Modified: / 10-09-2008 / 18:19:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!SurfaceType class methodsFor:'documentation'!

version
    ^'$Id$'
!

version_HG
    ^ '$Changeset: <not expanded> $'
! !

SurfaceType initialize!
