"{ Package: 'stx:goodies/libcairo' }"

"{ NameSpace: Cairo }"

SharedPool subclass:#Status
	instanceVariableNames:''
	classVariableNames:'STATUS_SUCCESS STATUS_NO_MEMORY STATUS_INVALID_RESTORE
		STATUS_INVALID_POP_GROUP STATUS_NO_CURRENT_POINT
		STATUS_INVALID_MATRIX STATUS_INVALID_STATUS STATUS_NULL_POINTER
		STATUS_INVALID_STRING STATUS_INVALID_PATH_DATA STATUS_READ_ERROR
		STATUS_WRITE_ERROR STATUS_SURFACE_FINISHED
		STATUS_SURFACE_TYPE_MISMATCH STATUS_PATTERN_TYPE_MISMATCH
		STATUS_INVALID_CONTENT STATUS_INVALID_FORMAT
		STATUS_INVALID_VISUAL STATUS_FILE_NOT_FOUND STATUS_INVALID_DASH
		STATUS_INVALID_DSC_COMMENT STATUS_INVALID_INDEX
		STATUS_CLIP_NOT_REPRESENTABLE STATUS_TEMP_FILE_ERROR
		STATUS_INVALID_STRIDE'
	poolDictionaries:''
	category:'Cairo-Constants'
!


!Status class methodsFor:'initialization'!

initialize

	STATUS_SUCCESS := 0.
	STATUS_NO_MEMORY := 1.
	STATUS_INVALID_RESTORE := 2.
	STATUS_INVALID_POP_GROUP := 3.
	STATUS_NO_CURRENT_POINT := 4.
	STATUS_INVALID_MATRIX := 5.
	STATUS_INVALID_STATUS := 6.
	STATUS_NULL_POINTER := 7.
	STATUS_INVALID_STRING := 8.
	STATUS_INVALID_PATH_DATA := 9.
	STATUS_READ_ERROR := 10.
	STATUS_WRITE_ERROR := 11.
	STATUS_SURFACE_FINISHED := 12.
	STATUS_SURFACE_TYPE_MISMATCH := 13.
	STATUS_PATTERN_TYPE_MISMATCH := 14.
	STATUS_INVALID_CONTENT := 15.
	STATUS_INVALID_FORMAT := 16.
	STATUS_INVALID_VISUAL := 17.
	STATUS_FILE_NOT_FOUND := 18.
	STATUS_INVALID_DASH := 19.
	STATUS_INVALID_DSC_COMMENT := 20.
	STATUS_INVALID_INDEX := 21.
	STATUS_CLIP_NOT_REPRESENTABLE := 22.
	STATUS_TEMP_FILE_ERROR := 23.
	STATUS_INVALID_STRIDE := 24.

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Status class methodsFor:'constants'!

STATUS_CLIP_NOT_REPRESENTABLE

	^STATUS_CLIP_NOT_REPRESENTABLE

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_FILE_NOT_FOUND

	^STATUS_FILE_NOT_FOUND

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_INVALID_CONTENT

	^STATUS_INVALID_CONTENT

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_INVALID_DASH

	^STATUS_INVALID_DASH

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_INVALID_DSC_COMMENT

	^STATUS_INVALID_DSC_COMMENT

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_INVALID_FORMAT

	^STATUS_INVALID_FORMAT

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_INVALID_INDEX

	^STATUS_INVALID_INDEX

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_INVALID_MATRIX

	^STATUS_INVALID_MATRIX

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_INVALID_PATH_DATA

	^STATUS_INVALID_PATH_DATA

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_INVALID_POP_GROUP

	^STATUS_INVALID_POP_GROUP

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_INVALID_RESTORE

	^STATUS_INVALID_RESTORE

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_INVALID_STATUS

	^STATUS_INVALID_STATUS

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_INVALID_STRIDE

	^STATUS_INVALID_STRIDE

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_INVALID_STRING

	^STATUS_INVALID_STRING

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_INVALID_VISUAL

	^STATUS_INVALID_VISUAL

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_NO_CURRENT_POINT

	^STATUS_NO_CURRENT_POINT

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_NO_MEMORY

	^STATUS_NO_MEMORY

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_NULL_POINTER

	^STATUS_NULL_POINTER

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_PATTERN_TYPE_MISMATCH

	^STATUS_PATTERN_TYPE_MISMATCH

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_READ_ERROR

	^STATUS_READ_ERROR

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_SUCCESS

	^STATUS_SUCCESS

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_SURFACE_FINISHED

	^STATUS_SURFACE_FINISHED

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_SURFACE_TYPE_MISMATCH

	^STATUS_SURFACE_TYPE_MISMATCH

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_TEMP_FILE_ERROR

	^STATUS_TEMP_FILE_ERROR

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

STATUS_WRITE_ERROR

	^STATUS_WRITE_ERROR

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Status class methodsFor:'documentation'!

version
    ^'$Id$'
!

version_HG
    ^ '$Changeset: <not expanded> $'
! !

Status initialize!
