"{ Package: 'stx:goodies/libcairo' }"

"{ NameSpace: Cairo }"

SharedPool subclass:#SubpixelOrder
	instanceVariableNames:''
	classVariableNames:'SUBPIXEL_ORDER_DEFAULT SUBPIXEL_ORDER_RGB SUBPIXEL_ORDER_BGR
		SUBPIXEL_ORDER_VRGB SUBPIXEL_ORDER_VBGR'
	poolDictionaries:''
	category:'Cairo-Constants'
!


!SubpixelOrder class methodsFor:'initialization'!

initialize

	SUBPIXEL_ORDER_DEFAULT := 0.
	SUBPIXEL_ORDER_RGB := 1.
	SUBPIXEL_ORDER_BGR := 2.
	SUBPIXEL_ORDER_VRGB := 3.
	SUBPIXEL_ORDER_VBGR := 4.

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!SubpixelOrder class methodsFor:'constants'!

SUBPIXEL_ORDER_BGR

	^SUBPIXEL_ORDER_BGR

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SUBPIXEL_ORDER_DEFAULT

	^SUBPIXEL_ORDER_DEFAULT

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SUBPIXEL_ORDER_RGB

	^SUBPIXEL_ORDER_RGB

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SUBPIXEL_ORDER_VBGR

	^SUBPIXEL_ORDER_VBGR

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

SUBPIXEL_ORDER_VRGB

	^SUBPIXEL_ORDER_VRGB

    "Modified: / 10-09-2008 / 18:19:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!SubpixelOrder class methodsFor:'documentation'!

version
    ^'$Id$'
!

version_HG
    ^ '$Changeset: <not expanded> $'
! !

SubpixelOrder initialize!
